### Virtual Method

# EDataServer OAuth2Service get_display_name

since: 3.28

#### Declaration [src]

    const gchar*
    get_display_name (
      EOAuth2Service* service
    )

#### Description [src]

Returns a human readable name of the service. This is similar to e_oauth2_service_get_name(), except this string should be localized, because it will be used in user-visible strings.

Available since: 3.28

#### Return value

Type: `const gchar*`

The display name of the `service`.

The returned data is owned by the instance.
The value is a NUL terminated UTF-8 string.